
.demo-carousel {
    height: 400px;
    line-height: 400px;
    text-align: center;
    color: #fff;
    font-size: 20px;
    background: #506b9e;
}
.header-bar{
    height: 90px;
    width: 100%;
    position: fixed;
    z-index: 100;
    background-color: #ffffff;
    box-shadow:0 15px 40px rgba(0,0,0,0.05);
}
.header{
    background: #FFFFFF;
    width: 1124px;
    height: 90px!important;
    margin: auto;
    line-height: 90px!important;
    padding: 0;
}
.header .ivu-menu-horizontal{
    line-height: 60px;
    height: 60px;
    margin-top: 15px;
}
.header .ivu-menu-horizontal .ivu-menu-item{
    font-size: 16px!important;
}
.notification{
    text-align: center;
    height: 200px;
}

.layout{
    border: 1px solid #d7dde4;
    background: #FFFFFF;
    position: relative;
    border-radius: 4px;
    overflow: hidden;
}
.layout-logo{
    height: 40px;
    margin-top: 25px;
}
.layout-nav{
    width: 420px;
    margin: 0 auto;
    margin-right: 20px;
}
.layout-footer-center{
    text-align: center;
}
.login-btn{
    font-size: 16px;
    width: 75px;
    height: 40px;
    border-color: #4B9CF5;
    color: #4B9CF5;
}
.login-btn:hover,login-btn:active{
    background-color: #4B9CF5;
    border-color: #4B9CF5;
    color: #fff;
    box-shadow:2px 5px 5px rgba(100,212,219,0.2);
}
.register-btn{
    background-color: #4B9CF5;
    border-color: #4B9CF5;
    color: #fff;
    font-size: 16px;
    width: 75px;
    height: 40px;
    box-shadow:2px 5px 5px rgba(100,212,219,0.2);
}
.register-btn:hover,register-btn:active{
    background-color: #4B9CF5;
    border-color: #4B9CF5;
    color: #fff;
    box-shadow:2px 5px 5px rgba(100,212,219,0.2);
}
.content-width{
    width: 1124px;
    margin: 0 auto;
}
.content-full-width{
    width: 100%;
    margin: 0 auto;
}
.bg-slider{
    background-color: #4B9CF5;
}
.slider-top{
    position: relative;
    width: 1440px;
    margin: 0 auto;
}
.content-section{
    padding: 40px 0px;
}
.steam-slider{
    padding: 0 50px!important;
    z-index: 0!important;
}
.steam-img{
    transition:all .3s ease;
    border-radius: 10px;
    margin: 30px 0px 50px;
    color: #999999;
}
.steam-img:hover{
    transform:scale(1.08);
    color: #333333;
    box-shadow:0 10px 15px 0 rgba(0,0,0,.06),0 15px 20px 0 rgba(0,0,0,.12);
}
/*.steam-title{*/
    /*color: #fff;*/
    /*font-size: 36px;*/
    /*text-align: center;*/
    /*width: 100%;*/
    /*height: 85px;*/
    /*background-color: #66CCFF;*/
    /*margin-top: 16px*/
/*}*/
.subject-intro{
    height: 295px;
    transition:all .3s ease;
}
.subject-intro:hover{
    transform:translate3d(0,-4px,0);
    box-shadow:0 10px 15px 0 rgba(0,0,0,.06),0 15px 40px 0 rgba(0,0,0,.12);

}
.subject-title{
    font-size: 36px;
    color: #333;
}
.subject-content{
    font-size: 16px;
    color: #666666;
}
.coupon-group{
    padding: 0 200px;
}
.coupon-group .ivu-input-group-append{

}
.coupon-input>.ivu-input{
    height: 60px;
    font-size: 24px;
}
.coupon-btn{
    background-color: #f90;
    border-color: #f90;
    font-size: 24px;
    padding: 0 70px;
    height: 60px;

    color: #fff!important;
}
.coupon-btn>span{
    line-height: 60px;
}
.coupon-btn:active,.coupon-btn:focus{
    box-shadow: none;
}
.text-gray{
    color: #999999;
}
.text-dark{
    color: #666666;
}
.text-black{
    color: #333333;
}
.text-white{
    color: white;
}
.text-center{
     text-align: center;
 }
.text-left{
    text-align: left;
}
.text-right{
    text-align: right;
}
.text-danger{
    color: #ed4014;
}
.text-primary{
    color:#4B9CF5;
}
.text-primary-original {
    color:#2d8cf0;
}
.text-warning{
    color: #f90;
}
.text-success{
    color: #19be6b;
}
.text-error{
    color: #ed4014;
}
.bg-primary{
    background-color:#4B9CF5;
}
.bg-success{
    background-color:#19be6b;
    color: #fff;
}
.bg-warning{
    background-color:#ff9900;
    color: #fff;
}
.bg-error{
    background-color: #ed4014;
    color: #fff;
}
.bg-info{
    background-color:#2db7f5;
}
.bg-gray{
    background-color: #f0f0f0;
    color: #666;
}
.bg-gray-dark{
    background-color: #BDBDBD;
    color: #fff;
}

.bg-white{
    background-color: white;
}

.bg-green-dark {
    background-color: #64DD17;
    color: #fff;
}

.bg-dark-light {
    background-color: #666;
    color: #fff;
}

.bg-dark {
    background-color: #333;
    color: #f2f2f2;
}

.font-bold{
    font-weight: bolder;
}
.font-size-12{
    font-size: 12px;
}
.font-size-14{
    font-size: 14px;
}
.font-size-16{
    font-size: 16px;
}
.font-size-18{
    font-size: 18px;
}
.font-size-20{
    font-size: 20px;
}
.font-size-21{
    font-size: 21px;
}
.font-size-24{
    font-size: 24px;
}
.font-size-26{
    font-size: 26px;
}
.font-size-28{
     font-size: 28px;
 }
.font-size-30{
    font-size: 30px;
}
.font-size-36{
    font-size: 36px;
}

.font-size-40{
    font-size: 40px;
}
.font-size-48{
    font-size: 48px;
}
.font-size-60{
    font-size: 60px;
}

.m-b{
    margin-bottom: 20px;
}
.m-b-sm{
    margin-bottom: 10px;
}
.m-b-xs{
    margin-bottom: 5px;
}
.m-t{
    margin-top: 20px;
}
.m-t-lg{
    margin-top: 40px;
}
.m-t-xxl{
    margin-top: 50px;
}
.m-t-xxxl{
    margin-top: 60px;
}
.m-t-sm{
    margin-top: 10px;
}
.m-t-xs{
    margin-top: 5px;
}
.m-r-xs{
    margin-right: 5px;
}
.m-r-sm{
    margin-right: 10px;
}
.m-r{
    margin-right: 20px;
}
.m-r-l{
    margin-right: 30px;
}

.m-l{
    margin-left: 20px;
}
.m-l-sm{
    margin-left: 10px;
}
.m-l-xs {
    margin-left: 5px;
}
.m-h-m {
    margin-top: 20px;
    margin-bottom: 20px;
}
.m-h-sm {
    margin-top: 10px;
    margin-bottom: 10px;
}
.p-xs{
    padding: 5px;
}
.p-sm{
    padding: 10px;
}
.p-m{
    padding: 20px;
}
.p-lg{
    padding: 30px;
}
.p-xl{
    padding: 40px;
}
.p-w-sm{
    padding-left: 10px;
    padding-right: 10px;
}
.p-w-xs {
    padding-left: 5px;
    padding-right: 5px;
}
.p-w-m{
    padding-left: 20px;
    padding-right: 20px;
}
.p-w-lg{
    padding: 0 30px;
}
.p-l-sm{
    padding-left: 10px;
}
.p-l-xs {
    padding-left: 5px;
}
.p-l-m{
    padding-left: 20px;
}
.p-l-l{
    padding-left: 30px;
}
.p-l-xl{
    padding-left: 40px;
}
.p-l-xxl{
    padding-left: 50px;
}
.p-h{
    padding-top: 20px;
    padding-bottom: 20px;
}
.p-h-lg{
    padding-top: 30px;
    padding-bottom: 30px;
}
.p-h-xl{
    padding-top: 50px;
    padding-bottom: 50px;
}
.p-h-sm{
    padding-top: 10px;
    padding-bottom: 10px;
}
.p-t-xs{
    padding-top: 5px;
}
.p-t{
    padding-top: 20px;
}
.p-t-sm{
    padding-top: 10px;
}
.p-b{
    padding-bottom: 20px;
}
.p-b-sm{
    padding-bottom: 10px;
}

.btn-large{
    height: 42px;
    font-size: 18px;
}
.btn-large-x{
    height: 56px;
    font-size: 18px;
}
.input-large{
    font-size: 16px;
    height: 42px;
}
[v-cloak] {
    display: none;
}

.subject-intro-swiper-des{
    padding: 20px;
    position: absolute;
    left: 0;
    right: 0;
    margin: 0 auto;
    bottom: -90px;
    width: 80%;
    z-index: 10;
    background: white;
    font-size: 24px;
    box-shadow: 0px 5px 5px rgba(0,0,0,0.1);
}


.text-gray{
    color: #999999;
}
.text-light-dark{
    color: #666666;
}
.text-dark{
    color:#333333;
}
.text-success{
    color: #19be6b;
}
.text-error{
    color: #ed4014;
}
.no-margins{
    margin: 0;
}
.relative{
    position: relative;
}
.service-btn-fixed{
    position: fixed;
    right: 60px;
    bottom: 150px;
    width: 70px;
    height: 170px;
    border-radius: 35px;
    background-color: #ffffff;
    padding: 20px 5px;
    box-shadow: 0 0 30px rgba(0,0,0,0.08);
    z-index: 2000;
}
.vertical-center-modal{
    display: flex;
    align-items: center;
    justify-content: center;
}
.vertical-center-modal .ivu-modal{
    top: 0;
}
.back-to-top{
    background: rgba(0, 153, 229, .7);
}

.select-item {

}

.select-item span {
    margin: 5px 10px 5px 0;
    padding: 5px 15px 5px 15px;

    border-radius: 2px;
    display: inline-block;
    cursor: pointer;
    font-size:13px;
}

.select-item .title {
    width: 100px;
    text-align: right;
    border: none;
    font-weight: bold;
    cursor: default;
    font-size:13px;
}

.select-item .active {
    background-color: #4B9CF5;
    border: none;
    color:#fff;
}
.course-wrap{
    box-shadow: 0px 0px 40px rgba(0,0,0,0.05);
    border-radius: 0px;
    cursor: pointer;
}
.course-wrap:hover{
    transition:all .3s ease;
    transform:scale(1.05);

    box-shadow:0 10px 15px 0 rgba(0,0,0,.06),0 15px 20px 0 rgba(0,0,0,.12);
}
.course-list{
    position: relative;
    min-height: 45vh;
}
.data-searching{
    height: 50vh;
    text-align: center;
    width: 100%;
    position: relative;
}
.no-result{

}
.tip-content{
    color: #ffffff;
}
.tip-content .ivu-poptip-arrow:after{
    border-left-color: lightskyblue!important;
}
.tip-content .ivu-poptip-body{
    background-color: lightskyblue;
    border-radius: 5px;
}
.delete{
    text-decoration:line-through
}
.seat{
    width: 50px;
    height: 50px;
    border:2px solid #ffffff;
}
.loading-content{
    min-height: 400px;
    min-width: 550px;
    background-color: #fff;
    position: relative;
}
.ivu-divider-horizontal.sm {
    margin: 10px 0px 10px 0px;
}
.live-course-wrap {
    padding: 15px 0;
    box-shadow: 0px 0px 40px rgba(0,0,0,0.05);
    border-radius: 0px;
}

.buy-course-square {
    width: 100%;
    height: 100px;
    padding: 20px 5px 0 5px;
    font-size: 14px;
    text-align: center;
    position: relative;
    box-shadow: 0 0 10px rgba(0,0,0,0.2);
    border-radius: 5px;
}

.buy-course-square {
    width: 100%;
    height: 100px;
    padding: 0 5px;
    font-size: 16px;
    text-align: center;
    position: relative;
    border: solid 1px #efefef;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.point-cursor {
    cursor: pointer;
}

.live-course-checkbox .ivu-checkbox-checked .ivu-checkbox-inner {
    border-color: #19be6b;
    background-color: #19be6b;
}

.live-course-steps .ivu-steps-item.ivu-steps-status-process .ivu-steps-head-inner {
    border-color: #4B9CF5;
    background-color: #4B9CF5;
}

.flex-v-center {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.live-room-square {
    height: 90px;
    color: #fff;
    padding: 10px;
    border-radius: 5px;
    border: solid 1px #efefef;
}

.live-exercise-board {
}
.live-video-board {
    display: flex;
    align-items: center;
    justify-content: center;
}
.choose-question-item {
    padding: 10px;
    cursor: pointer;
}

.live-messages {
    padding: 0 5px 5px 5px;
    overflow-y: auto;
}

.live-message-text {
    /*border: solid 1px #efefef;*/
    border-radius: 5px;
}

.live-stream-video {
    display: flex;
    align-items: center;
    justify-content: center;
}

.live-record-video {
    display: flex;
    align-items: flex-start;
    justify-content: center;
}

.title-ellipsis-2{
    overflow : hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    word-break: break-all;
}

.question-item-complex p{
    display: inline;
}

.question-items .ivu-btn {
    height: auto;
}